Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class GenericParser

    java.lang.Object
      org.apache.tomcat.util.digester.GenericParser

public class GenericParser
extends java.lang.Object

Create a `SAXParser` configured to support XML Schema and DTD.

Since:
  1.6

Field Summary
`protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` The JAXP 1.2 property to set up the schemaLanguage used.
`protected static org.apache.commons.logging.Log` | `log` The Log to which all SAX event related logging calls will be made.

Constructor Summary
`GenericParser()`

Method Summary
`static javax.xml.parsers.SAXParser` | `newSAXParser(java.util.Properties properties)` Create a `SAXParser` configured to support XML Scheman and DTD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  The Log to which all SAX event related logging calls will be made.

### JAXP_SCHEMA_LANGUAGE

    protected static java.lang.String JAXP_SCHEMA_LANGUAGE

  The JAXP 1.2 property to set up the schemaLanguage used.

Constructor Detail

### GenericParser

    public GenericParser()

Method Detail

### newSAXParser

    public static javax.xml.parsers.SAXParser newSAXParser(java.util.Properties properties)
                                                    throws javax.xml.parsers.ParserConfigurationException,
                                                           org.xml.sax.SAXException,
                                                           org.xml.sax.SAXNotRecognizedException

  Create a `SAXParser` configured to support XML Scheman and DTD

  Parameters:
    `properties` - parser specific properties/features
  Returns:
    an XML Schema/DTD enabled `SAXParser`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `org.xml.sax.SAXNotRecognizedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.